You are Here:
Linux Lite 6.0 RC1 Released - See Release Announcements



Upgrade Script

Author (Read 21779 times)

0 Members and 1 Guest are viewing this topic.

Re: Upgrade Script
« Reply #30 on: February 10, 2015, 05:39:21 AM »
 

N4RPS

  • Donator
  • Platinum Level Poster
  • **********
  • 1149
    Posts
  • Reputation: 154
  • Knows JUST ENOUGH Linux to be DANGEROUS
    • Orphans for Christ, Self Advocates of Mecklenburg

  • Linux Lite: 2.6 64bit

  • CPU: Several Different 32-bit & 64-bit CPUs, 2-8 GB RAM

  • MEMORY: 8Gb

  • VIDEO CARD: Several Different AMD and Intel GPUs
Hello!

If it can be done, you'll figure out how. I don't see how it can be made much easier than it already is - unless you modify the scripts to make it ALL automatic...

73 DE N4RPS
Rob
« Last Edit: February 10, 2015, 06:47:46 AM by N4RPS »


A gun in your hand is worth more than a whole police force on the phone.
 

Re: Upgrade Script
« Reply #31 on: March 04, 2015, 01:19:35 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8280
    Posts
  • Reputation: 777
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
UPDATE:

I've re-written the upgrade script so that you can run one command, and enter your password once. This means that I can also make a package for it and therefore allow people to upgrade easily from within that LTS series eg. upgrade from 2.0 - 2.4

Upgrading will be as easy as, Menu, enter: lite-upgrade-s2 into the command box, and away she goes.

It's still needs some fine tuning but I have tested this on a fresh install of 2.0 and it does what it's supposed to :)
« Last Edit: March 04, 2015, 01:21:42 AM by Jerry »
 

Re: Upgrade Script
« Reply #32 on: March 04, 2015, 04:49:25 AM »
 

Wirezfree

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1484
    Posts
  • Reputation: 405
  • Linux Lite "Advocate"

  • Linux Lite: 2.8 64bit

  • CPU: i7-4790S

  • MEMORY: 16Gb

  • VIDEO CARD: Intel HD4600 (Integrated)
@ Jerry,

Sounds really good, excellent news.

Can I clarify,
The aim is to have "1" script that will do any 2.x to the current 2.x
Due to my cautious nature, I still have 2 PC at 2.0 and 2 at 2.2
So this "1" script will bring all my PC's to the next release 2.4.?
No need to use the old 2.0 to 2.2 script.

Thanks... Dave
Upgrades WIP 2.6 to 2.8 - (6 X 2.6 to 2.8 completed on: 20/02/16 All O.K )
Linux Lite 3.0 Humming on a ASRock N3070 Mobo ~ btrfs RAID 10 Install on 4 Disks :)

Computers Early days:
ZX Spectrum(1982) , HP-150 MS-DOS(1983) , Amstrad CPC464(1984) ,  BBC Micro B+64(1985) , My First PC HP-Vectra(1987)
 

Re: Upgrade Script
« Reply #33 on: March 04, 2015, 04:54:20 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8280
    Posts
  • Reputation: 777
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
@Dave - that is correct. Hell, even do 2.0 to 2.8 later on if you're feelin' lucky :)
 

Re: Upgrade Script
« Reply #34 on: March 04, 2015, 07:14:52 AM »
 

Wirezfree

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1484
    Posts
  • Reputation: 405
  • Linux Lite "Advocate"

  • Linux Lite: 2.8 64bit

  • CPU: i7-4790S

  • MEMORY: 16Gb

  • VIDEO CARD: Intel HD4600 (Integrated)
Hi Jerry,


Thanks for the confirmation... Dave


ps
((Puts on body armour & helmet & goggles first))
How about a 2.X to 3.0   ;D   ::)
Upgrades WIP 2.6 to 2.8 - (6 X 2.6 to 2.8 completed on: 20/02/16 All O.K )
Linux Lite 3.0 Humming on a ASRock N3070 Mobo ~ btrfs RAID 10 Install on 4 Disks :)

Computers Early days:
ZX Spectrum(1982) , HP-150 MS-DOS(1983) , Amstrad CPC464(1984) ,  BBC Micro B+64(1985) , My First PC HP-Vectra(1987)
 

Re: Upgrade Script
« Reply #35 on: March 04, 2015, 09:41:59 AM »
 

bitsnpcs

  • Platinum Level Poster
  • **********
  • 3237
    Posts
  • Reputation: 305
    • Try to Grow

  • Linux Lite: 3.2 64bit

  • Kernel: 4.x
Hell, even do 2.0 to 2.8 later on if you're feelin' lucky :)

Luck doesn't enter into it when we have such a talented and charmed Team  :)
Thank You.
 

Re: Upgrade Script
« Reply #36 on: March 04, 2015, 09:49:01 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8280
    Posts
  • Reputation: 777
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x

((Puts on body armour & helmet & goggles first))
How about a 2.X to 3.0   ;D   ::) 


Release the hounds!

Quote from: bitsnpcs

Luck doesn't enter into it when we have such a talented and charmed Team  :)
Thank You.



No, no thank you :)
 

Re: Upgrade Script
« Reply #37 on: March 23, 2015, 07:50:27 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8280
    Posts
  • Reputation: 777
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
UPDATE: Script has undergone a lot of testing lately. I'm looking to put a link for people under Menu, System, Lite Upgrade.
 

Re: Upgrade Script
« Reply #38 on: March 23, 2015, 10:47:11 AM »
 

Wirezfree

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1484
    Posts
  • Reputation: 405
  • Linux Lite "Advocate"

  • Linux Lite: 2.8 64bit

  • CPU: i7-4790S

  • MEMORY: 16Gb

  • VIDEO CARD: Intel HD4600 (Integrated)
Sounds perfect...
To avoid any further doubt, how about

Menu > System > Lite 2.x Upgrade

Dave
Upgrades WIP 2.6 to 2.8 - (6 X 2.6 to 2.8 completed on: 20/02/16 All O.K )
Linux Lite 3.0 Humming on a ASRock N3070 Mobo ~ btrfs RAID 10 Install on 4 Disks :)

Computers Early days:
ZX Spectrum(1982) , HP-150 MS-DOS(1983) , Amstrad CPC464(1984) ,  BBC Micro B+64(1985) , My First PC HP-Vectra(1987)
 

Re: Upgrade Script
« Reply #39 on: March 23, 2015, 10:52:25 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8280
    Posts
  • Reputation: 777
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Hi Dave, I'd like to keep it consistent from LL 3.0, LL 4.0 and so on. This way people will get used to the same location, same name.
 

Re: Upgrade Script
« Reply #40 on: March 23, 2015, 11:59:53 AM »
 

Wirezfree

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1484
    Posts
  • Reputation: 405
  • Linux Lite "Advocate"

  • Linux Lite: 2.8 64bit

  • CPU: i7-4790S

  • MEMORY: 16Gb

  • VIDEO CARD: Intel HD4600 (Integrated)
No problem... Dave
Upgrades WIP 2.6 to 2.8 - (6 X 2.6 to 2.8 completed on: 20/02/16 All O.K )
Linux Lite 3.0 Humming on a ASRock N3070 Mobo ~ btrfs RAID 10 Install on 4 Disks :)

Computers Early days:
ZX Spectrum(1982) , HP-150 MS-DOS(1983) , Amstrad CPC464(1984) ,  BBC Micro B+64(1985) , My First PC HP-Vectra(1987)
 

Re: Upgrade Script
« Reply #41 on: March 23, 2015, 01:54:30 PM »
 

misko_2083

  • Gold Level Poster
  • *******
  • 688
    Posts
  • Reputation: 191
  • Linux Lite Member

  • CPU: Dual core Pentium E5700 3GHz

  • MEMORY: 3Gb

  • VIDEO CARD: GeForce GT 430
Lite Upgrade, since it's stable will be released on April the first along wilth LL 2.4?
 

Re: Upgrade Script
« Reply #42 on: March 23, 2015, 08:56:47 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8280
    Posts
  • Reputation: 777
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.6 64bit

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Lite Upgrade, since it's stable will be released on April the first along wilth LL 2.4?

I hope so :)

Sent from my GT-N7000 using Tapatalk 2

 

 

-->
X Close Ad

Linux Lite 6.0 RC1 Released - See Release Announcements